libebook::FB2SectionContext Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::FB2SectionContext Class Reference

`#include <FB2BlockContext.h>`

Inheritance diagram for libebook::FB2SectionContext:

## Public Member Functions
| FB2SectionContext (FB2ParserContext *parentContext, const boost::optional< std::string > &lang)
| FB2SectionContext (FB2ParserContext *parentContext, uint8_t level, const boost::optional< std::string > &lang)
Public Member Functions inherited from libebook::FB2NodeContextBase
| FB2NodeContextBase (FB2ParserContext *parentContext, FB2Collector *collector=0)
Public Member Functions inherited from libebook::FB2ParserContext
| FB2ParserContext (FB2ParserContext *parentContext, FB2Collector *collector=0)
| Create a new context with `parentContext` as parent. More...
virtual FB2XMLParserContext * | leaveContext () const
| Destroy this context and return parent. More...
FB2Collector * | getCollector () const
| Get the collector. More...
FB2ParserContext * | getParentContext () const
| Get the parent context. More...
Public Member Functions inherited from libebook::FB2XMLParserContext
virtual | ~FB2XMLParserContext ()=0

## Private Member Functions
virtual FB2XMLParserContext * | element (const FB2TokenData &name, const FB2TokenData &ns)
| Create a context for parsing a child element. More...
virtual void | endOfElement ()
| Signalize the end of an element. More...
virtual void | attribute (const FB2TokenData &name, const FB2TokenData *ns, const char *value)
| Process an attribute. More...
FB2BlockFormat | makeBlockFormat () const

## Private Attributes
boost::optional< uint8_t > | m_level
boost::optional< std::string > | m_lang

## Constructor & Destructor Documentation

## § FB2SectionContext() [1/2]

libebook::FB2SectionContext::FB2SectionContext | ( | FB2ParserContext * | parentContext,
|  | const boost::optional< std::string > & | lang
| ) |  |

Referenced by element().

## § FB2SectionContext() [2/2]

libebook::FB2SectionContext::FB2SectionContext | ( | FB2ParserContext * | parentContext,
|  | uint8_t | level,
|  | const boost::optional< std::string > & | lang
| ) |  |

## Member Function Documentation

## § attribute()

void libebook::FB2SectionContext::attribute | ( | const FB2TokenData & | name,
|  | const FB2TokenData * | ns,
|  | const char * | value
| ) |  |
| privatevirtual

Process an attribute.

Attributes are handled to the current element's context one by one.

Implements libebook::FB2XMLParserContext.

## § element()

FB2XMLParserContext * libebook::FB2SectionContext::element | ( | const FB2TokenData & | name,
|  | const FB2TokenData & | ns
| ) |  |
| privatevirtual

Create a context for parsing a child element.

Returns
  A new context or `0` if the child element cannot be handled.

Implements libebook::FB2XMLParserContext.

## § endOfElement()

void libebook::FB2SectionContext::endOfElement | ( |  | ) |
| privatevirtual

Signalize the end of an element.

Implements libebook::FB2XMLParserContext.

## § makeBlockFormat()

FB2BlockFormat libebook::FB2SectionContext::makeBlockFormat | ( |  | ) | const
| private

Referenced by element().

## Member Data Documentation

## § m_lang

boost::optional<std::string> libebook::FB2SectionContext::m_lang
| private

Referenced by attribute(), element(), and makeBlockFormat().

## § m_level

boost::optional<uint8_t> libebook::FB2SectionContext::m_level
| private

Referenced by element().

The documentation for this class was generated from the following files:

- FB2BlockContext.h
- FB2BlockContext.cpp